package com.qmth.teachcloud.mark.bean.archivescore;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

public class ScoreHistoryVo {

	@JsonSerialize(using = ToStringSerializer.class)
	private Long studentId;
	@ExcelProperty(name = "学号", width = 20, index = 1)
	private String studentCode;
	@ExcelProperty(name = "学生姓名", width = 20, index = 2)
	private String studentName;
	@ExcelProperty(name = "复核老师工号", width = 20, index = 3)
	private String loginName;
	@ExcelProperty(name = "复核老师姓名", width = 20, index = 4)
	private String name;
	@ExcelProperty(name = "大题号", width = 20, index = 5)
	private Integer mainNumber;
	@ExcelProperty(name = "小题号", width = 20, index = 6)
	private Integer subNumber;
	@ExcelProperty(name = "原始分数", width = 20, index = 7)
	private Double originalScore;
	@ExcelProperty(name = "复核后分数", width = 20, index = 8)
	private Double score;

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public Integer getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}

	public Double getOriginalScore() {
		return originalScore;
	}

	public void setOriginalScore(Double originalScore) {
		this.originalScore = originalScore;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}
}
